Page MenuHomePhabricator

Fix missing and misplaced dependencies
Closed, ResolvedPublic

Description

In addition to bug 55550, there seem to be at least a couple other places where there are unneeded dependencies, or missing ones.

  • mw.TimedText (in TimedMediaHandler) depends on jquery.ui.dialog, but does not use it directly. This should be removed.
  • ext.tmh.transcodetable - No listed dependencies at all currently, but uses both mw.addDialog (from mw.MwEmbedSupport) and jquery.ui.dialog.

Version: master
Severity: normal

Details

Reference
bz55615

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 2:27 AM
bzimport added a project: TimedMediaHandler.
bzimport set Reference to bz55615.
Krinkle set Security to None.

Change 198525 had a related patch set uploaded (by TheDJ):
TimedText: Remove unneeded dependency on jquery.ui.dialog

https://gerrit.wikimedia.org/r/198525

TheDJ added a subscriber: TheDJ.Mar 21 2015, 7:11 PM
TheDJ claimed this task.Mar 21 2015, 7:11 PM
TheDJ moved this task from Backlog to Doing on the TimedMediaHandler board.Mar 21 2015, 8:26 PM

Change 198525 merged by jenkins-bot:
TimedText: Remove unneeded dependency on jquery.ui.dialog

https://gerrit.wikimedia.org/r/198525

TheDJ closed this task as Resolved.Apr 14 2015, 12:03 PM
TheDJ removed a project: Patch-For-Review.
TheDJ moved this task from Doing to Done on the TimedMediaHandler board.